import { css } from "@emotion/react";
import styled from "@emotion/styled";
import { classes, tokens } from "./Editable.tokens";
export var EditButton = /*#__PURE__*/ styled("span", {
    target: "epk38la0",
    label: "EditButton"
})("position:relative;align-self:stretch;display:", function(param) {
    var isHidden = param.isHidden;
    return isHidden ? 'none' : '';
}, ";");
export var StyledInput = /*#__PURE__*/ styled("input", {
    target: "epk38la1",
    label: "StyledInput"
})();
export var StyledPlacehpolder = /*#__PURE__*/ styled("span", {
    target: "epk38la2",
    label: "StyledPlacehpolder"
})("display:inline-block;color:var(", tokens.placeholderColor, ");");
export var base = /*#__PURE__*/ css("display:inline-flex;align-items:center;max-width:100%;cursor:pointer;.", classes.editableTextBox, "{outline:none;overflow:hidden;white-space:nowrap;caret-color:var(", tokens.caretColor, ");}", "base");
